<Ui xmlns="http://www.blizzard.com/wow/ui/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.blizzard.com/wow/ui/
..\FrameXML\UI.xsd">
	<Script file="UsefulExtras.lua"/>

		<Frame name="UE_GeneralScripts" hidden="true">
			<Scripts>     
				<OnLoad> 
					UsefulExtras_OnLoad(); 
				</OnLoad>
				<OnEvent>
					UsefulExtras_OnEvent(event);
				</OnEvent>
			</Scripts>
		</Frame>

  <!-- UE Menu Template Frame -->
  <Frame name="UE" hidden="true" virtual="true" parent="UIParent"  moveable="true" enableMouse="true">
  
    <!-- Sets the size of the frame -->
    <Size>
      <AbsDimension x="400" y="450"/>
    </Size>
	
    <!-- Sets where the frame sits -->
    <Anchors>
		<Anchor point="CENTER">
			<Offset>
				<AbsDimension x="0" y="0"/>
			</Offset>
		</Anchor>
    </Anchors>
	
	<!-- Adding in a border -->
	<Backdrop bgFile="Interface\DialogFrame\UI-Spellbook-SpellBackground" edgeFile="Interface\DialogFrame\UI-DialogBox-Gold-Border" tile="true">
		<TileSize>
			<AbsValue val="16"/>
		</TileSize>
		<EdgeSize>
			<AbsValue val="16"/>
		</EdgeSize>
	</Backdrop >

    <!-- set the parameters for the layers of the frame -->
    <Layers>
      <Layer level="BACKGROUND">
        <Texture name="$parent_Background" setAllPoints="true">
          <Color r="0" g="0" b="0" a=".8" />
        </Texture>
      </Layer>
    </Layers >
	
	<!-- Using escape to close the frame -->
	<Scripts>
		<OnLoad>
			tinsert(UISpecialFrames,this:GetName());
			this:RegisterForDrag("LeftButton");
		</OnLoad>
		<OnDragStart>
			this:StartMoving()
		</OnDragStart>
		<OnDragStop>
			this:StopMovingOrSizing()
		</OnDragStop>
		<OnShow>
			PlaySound("igCharacterInfoOpen");
		</OnShow>
		<OnHide>
			PlaySound("igCharacterInfoClose");
		</OnHide>
	</Scripts>
	
  </Frame>
  
  <!-- UE Main Menu Page -->   
   <Frame  name="UE1" hidden="true" inherits="UE" moveable="true" enableMouse="true">
	<!-- Open A -->
	
		<!-- The on panel text -->
		<Layers>
			<Layer level="ARTWORK">
				<FontString name="$parent_Text" inherits="GameFontNormal" text="UE Options">
					<Color r="255" g="255" b="255" />
						<Anchors>
							<Anchor point="CENTER" relativePoint="TOP">
								<Offset>
									<AbsDimension x="0" y="-20"/>
								</Offset>
							</Anchor>
						</Anchors>
				</FontString>
				<FontString name="$parent_Text" inherits="GameFontNormal" text="Input for the Leader List">
					<Color r="255" g="255" b="255" />
                        <Anchors>
                            <Anchor point="CENTER" relativePoint="TOP">
                                <Offset>
                                        <AbsDimension x="-100" y="-365"/>
                                </Offset>
                            </Anchor>
                        </Anchors>
                </FontString>
				<FontString name="$parent_Text" inherits="GameFontNormal" text="Current Leader">
					<Color r="255" g="255" b="255" />
						<Anchors>
							<Anchor point="LEFT" relativePoint="TOPLEFT">
								<Offset>
										<AbsDimension x="200" y="-45"/>
								</Offset>
							</Anchor>
						</Anchors>
				</FontString>
				<FontString name="$parent_Text" inherits="GameFontNormal" text="Low Health %">
					<Color r="255" g="255" b="255" />
						<Anchors>
							<Anchor point="LEFT" relativePoint="TOPLEFT">
								<Offset>
										<AbsDimension x="200" y="-160"/>
								</Offset>
							</Anchor>
						</Anchors>
				</FontString>
				<FontString name="$parent_Text" inherits="GameFontNormal" text="Low Mana %">
					<Color r="255" g="255" b="255" />
						<Anchors>
							<Anchor point="LEFT" relativePoint="TOPLEFT">
								<Offset>
										<AbsDimension x="300" y="-160"/>
								</Offset>
							</Anchor>
						</Anchors>
				</FontString>
				<FontString name="$parent_Text" inherits="GameFontNormal" text="Options">
					<Color r="255" g="255" b="255" />
                        <Anchors>
                            <Anchor point="LEFT" relativePoint="TOPLEFT">
                                <Offset>
                                        <AbsDimension x="20" y="-35"/>
                                </Offset>
                            </Anchor>
                        </Anchors>
                </FontString>
      </Layer>
    </Layers>
   
		<!-- The meat of the panel -->
		<Frames> 
		<!-- Opoen B -->
		
		<!-- The buttons for the frame -->
		<!-- The Add Button -->
		<Button name="$parent_AddInput" inherits="UIPanelButtonTemplate" text="Add" id="1">
	
			<!-- Sets the size of the button -->
			<Size> 
				<AbsDimension x="50" y="24"/> 
			</Size> 

			<!-- Sets the position of the button -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-400"/>
					</Offset>
				</Anchor>
			</Anchors>
		
		<!-- Sets what the button does -->
			<Scripts>
				<OnClick>
					UE_GUILeader("add")
				</OnClick>
			</Scripts>
		
		</Button>
	
		<!-- The Remove Button -->
		<Button name="$parent_RemoveInput" inherits="UIPanelButtonTemplate" text="Remove" id="1">
		
			<!-- Sets the size of the button -->
			<Size> 
				<AbsDimension x="70" y="24"/> 
			</Size>
			
			<!-- Sets the position of the button -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="75" y="-400"/>
					</Offset>
				</Anchor>
			</Anchors> 
			
			<!-- Sets what the button does -->
			<Scripts>
				<OnClick>
					UE_GUILeader("remove")
				</OnClick>
			</Scripts>
		</Button>

		<!-- The Clear Button -->
		<Button name="$parent_ClearInput" inherits="UIPanelButtonTemplate" text="Clear" id="55">
		
			<!-- Sets the size of the button -->
			<Size> 
				<AbsDimension x="70" y="24"/> 
			</Size>
			
			<!-- Sets the position of the button -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="225" y="-370"/>
					</Offset>
				</Anchor>
			</Anchors> 
			
			<!-- Sets what the button does -->
			<Scripts>
				<OnClick>
					UE_GUILeader("clear")
				</OnClick>
			</Scripts>
		</Button>
		
		<!-- The temporary button to display the user selected list until the scroll frame is working -->
		<Button name="$parent_DisplayInput" inherits="UIPanelButtonTemplate" text="Display" id="13">
		
			<!-- Sets the size of the button -->
			<Size> 
				<AbsDimension x="70" y="24"/> 
			</Size>
			
			<!-- Sets the position of the button -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="150" y="-400"/>
					</Offset>
				</Anchor>
			</Anchors> 
			
			<!-- Sets what the button does -->
			<Scripts>
				<OnClick>
					UE_GUIDisplay(UE_LeaderList)
				</OnClick>
			</Scripts>
		</Button>
		
		<!-- The Close Button -->	
		<Button name="$parent_Close" inherits="UIPanelCloseButton" id="2">
		<!-- (it appears that this button doesnt need a script to run it will automaticaly hide the frame not sure why) -->
		
			<!-- Sets the position of the button. -->
			<Anchors> 
				<Anchor point="TOPRIGHT">
					<Offset>
						<AbsDimension x="-4" y="-4"/>
					</Offset>
				</Anchor>
			</Anchors> 
			
			<Scripts>
				<OnClick>
				EMLFrame_Toggle("UE1")
				UE_setCheckBoxes()
				</OnClick>
			</Scripts>
		</Button>
		
		<!--  Sets the user selected input box -->
		<EditBox name="$parent_InputBox" inherits="InputBoxTemplate" id="3" autofocus="false">
		
			<!-- Sets the size of the box-->
			<Size> 
				<AbsDimension x="200" y="26"/> 
			</Size> 
			
			<!-- Sets the position of the box -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="22" y="-370"/>
					</Offset>
				</Anchor>
			</Anchors> 	
			
		</EditBox>

		<EditBox name="$parent_Leader" inherits="InputBoxTemplate" id="20" autofocus="false">
		
			<!-- Sets the size of the box-->
			<Size> 
				<AbsDimension x="100" y="26"/> 
			</Size> 
			
			<!-- Sets the position of the box -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="205" y="-50"/>
					</Offset>
				</Anchor>
			</Anchors>

		</EditBox>

		<EditBox name="$parent_LowHealth" inherits="InputBoxTemplate" id="52" autofocus="false">
		
			<!-- Sets the size of the box-->
			<Size> 
				<AbsDimension x="40" y="26"/> 
			</Size> 
			
			<!-- Sets the position of the box -->
			<Anchors>
				<Anchor point="LEFT" relativePoint="TOPLEFT">
					<Offset>
						<AbsDimension x="220" y="-180"/>
					</Offset>
				</Anchor>
			</Anchors>

		</EditBox>
		
		<EditBox name="$parent_LowMana" inherits="InputBoxTemplate" id="53" autofocus="false">
		
			<!-- Sets the size of the box-->
			<Size> 
				<AbsDimension x="40" y="26"/> 
			</Size> 
			
			<!-- Sets the position of the box -->
			<Anchors>
				<Anchor point="LEFT" relativePoint="TOPLEFT">
					<Offset>
						<AbsDimension x="320" y="-180"/>
					</Offset>
				</Anchor>
			</Anchors>

		</EditBox>

		<!-- Autofollow -->
		<CheckButton name="$parent_AutoFollow" inherits="UICheckButtonTemplate" id="4" text="AutoFollow">
		
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-50"/>
					</Offset>
				</Anchor>
			</Anchors> 

			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Auto Follow");
				</OnLoad>
			</Scripts>
			
		</CheckButton>
		
		<!-- Autoinvite -->
		<CheckButton name="$parent_AutoInvite" inherits="UICheckButtonTemplate" id="5" text="AutoInvite">
		
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-170"/>
					</Offset>
				</Anchor>
			</Anchors> 	
			
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Auto-accept Group Invite");
				</OnLoad>
			</Scripts>
			
		</CheckButton>
		
		<!-- Autoress -->
		<CheckButton name="$parent_AutoRess" inherits="UICheckButtonTemplate" id="6" text="AutoRess">
		
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-150"/>
					</Offset>
				</Anchor>
			</Anchors> 

			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Auto-accept Ress");
				</OnLoad>
			</Scripts>
			
		</CheckButton>
		
		<!-- Autosummon -->
		<CheckButton name="$parent_AutoSummon" inherits="UICheckButtonTemplate" id="7" text="AutoSummon">
			
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-130"/>
					</Offset>
				</Anchor>
			</Anchors> 	
			
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Auto-accept Summon");
				</OnLoad>
			</Scripts>
			
		</CheckButton>
	
		<!-- Autorelease -->
		<CheckButton name="$parent_AutoRelease" inherits="UICheckButtonTemplate" id="8" text="AutoRelease">
			
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-210"/>
					</Offset>
				</Anchor>
			</Anchors> 	
			
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Auto-release on Death in a battleground");
				</OnLoad>
			</Scripts>
			
		</CheckButton>
		
		<!-- Automount -->
		<CheckButton name="$parent_AutoMounting" inherits="UICheckButtonTemplate" id="9" text="AutoMounting">
			
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-70"/>
					</Offset>
				</Anchor>
			</Anchors> 	
			
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Auto Mounting");
				</OnLoad>
			</Scripts>
			
		</CheckButton>

		<!-- Autoquest -->
		<CheckButton name="$parent_AutoQuest" inherits="UICheckButtonTemplate" id="40" text="AutoQuest">
			
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-190"/>
					</Offset>
				</Anchor>
			</Anchors> 	
			
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Auto-accept Quests");
				</OnLoad>
			</Scripts>
			
		</CheckButton>
		
		<!-- Sticky Follow -->
		<CheckButton name="$parent_StickyFollow" inherits="UICheckButtonTemplate" id="10" text="StickyFollow">
			
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-90"/>
					</Offset>
				</Anchor>
			</Anchors> 	
			
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Sticky Follow");
				</OnLoad>
			</Scripts>
		
		</CheckButton>
		
		<!-- Hide Follow Whispers -->
		<CheckButton name="$parent_HideWhispers" inherits="UICheckButtonTemplate" id="59" text="HideWhispers">
		
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors>
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-110"/>
					</Offset>
				</Anchor>
			</Anchors>
			
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Hide Follow Whispers");
				</OnLoad>
			</Scripts>
			
		</CheckButton>
		
		<!-- Hide Quest Whispers -->
		<CheckButton name="$parent_HideQWhispers" inherits="UICheckButtonTemplate" id="60" text="HideQWhispers">
		
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
		<!-- Sets the position of the checkbox -->
		<Anchors>
			<Anchor point="TOPLEFT">
				<Offset>
					<AbsDimension x="170" y="-110"/>
				</Offset>
			</Anchor>
		</Anchors>
		
		<!-- Sets what the checkbox does -->
		<Scripts>
			<OnLoad>
				getglobal(this:GetName().."Text"):SetText("Hide Quest Whispers");
			</OnLoad>
		</Scripts>
		
		</CheckButton>
		
		<!-- Whisper Relay -->
		<CheckButton name="$parent_WhisperRelay" inherits="UICheckButtonTemplate" id="11" text="WhisperRelay">
			
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-230"/>
					</Offset>
				</Anchor>
			</Anchors> 	
			
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Relay Whispers");
				</OnLoad>
			</Scripts>
			
		</CheckButton>
		
		<!-- Low Warning -->
		<CheckButton name="$parent_LowWarning" inherits="UICheckButtonTemplate" id="12" text="LowWarning">
			
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="212" y="-190"/>
					</Offset>
				</Anchor>
			</Anchors> 	
			
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Low Health/Mana Warning");
				</OnLoad>
			</Scripts>
			
		</CheckButton>
		
		<!-- Use Friends -->
		<CheckButton name="$parent_UseFriends" inherits="UICheckButtonTemplate" id="14" text="UseFriends">
			
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-270"/>
					</Offset>
				</Anchor>
			</Anchors> 	
			
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Allow friends list to use whisper commands");
				</OnLoad>
			</Scripts>
			
		</CheckButton>
			
		<!-- Use Guild -->
		<CheckButton name="$parent_UseGuild" inherits="UICheckButtonTemplate" id="17" text="UseGuild">
		
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors>
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-250"/>
					</Offset>
				</Anchor>
			</Anchors>
		
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Allow guildmates to use whisper commands");
				</OnLoad>
			</Scripts>
			
		</CheckButton>
		
		<!-- Decline Duels -->
		<CheckButton name="$parent_DeclineDuels" inherits="UICheckButtonTemplate" id="18" text="DeclineDuels">
		
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors>
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-290"/>
					</Offset>
				</Anchor>
			</Anchors>
		
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Auto-decline Duel Requests");
				</OnLoad>
			</Scripts>
			
		</CheckButton>

		<!-- Decline Guilds -->
		<CheckButton name="$parent_DeclineGuilds" inherits="UICheckButtonTemplate" id="41" text="DeclineGuilds">
		
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors>
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-310"/>
					</Offset>
				</Anchor>
			</Anchors>
		
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Auto-decline Guild Requests (invite/charter)");
				</OnLoad>
			</Scripts>
			
		</CheckButton>
		
		<!-- Pass on Loot -->
		<CheckButton name="$parent_PassLoot" inherits="UICheckButtonTemplate" id="61" text="PassLoot">
		
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>
			
			<!-- Sets the position of the checkbox -->
			<Anchors>
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="170" y="-130"/>
					</Offset>
				</Anchor>
			</Anchors>			

			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Automatically passes on loot rolls");
				</OnLoad>
			</Scripts>
		
		</CheckButton>
		
		<!-- Turn UE on or off -->
		<CheckButton name="$parent_OnOff" inherits="UICheckButtonTemplate" id="19" text="OnOff">
		
		<!-- Sets the size of the checkbox -->
		<Size>
			<AbsDimension x="20" y="20"/>
		</Size>
		
		<!-- Sets the position of the checkbox -->
		<Anchors>
			<Anchor point="TOPLEFT">
				<Offset>
					<AbsDimension x="170" y="-75"/>
				</Offset>
			</Anchor>
		</Anchors>
		
		<!-- Sets what the checkbox does -->
		<Scripts>
			<OnLoad>
				getglobal(this:GetName().."Text"):SetText("Turn UE On or Off (checked is on)");
			</OnLoad>
		</Scripts>
		
		</CheckButton>
		
		<!-- The Save Button -->
		<Button name="$parent_SaveInput" inherits="UIPanelButtonTemplate" text="Save" id="15">
	
			<!-- Sets the size of the button -->
			<Size> 
				<AbsDimension x="65" y="24"/> 
			</Size> 

			<!-- Sets the position of the button -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="320" y="-420"/>
					</Offset>
				</Anchor>
			</Anchors>
		
		<!-- Sets what the button does -->
			<Scripts>
				<OnClick>
				UE_checkCheckBoxes()
				EMLFrame_Toggle("UE1")
				</OnClick>
			</Scripts>
		
		</Button>
			
		<!-- The Cancel Button -->
		<Button name="$parent_CancelInput" inherits="UIPanelButtonTemplate" text="Cancel" id="16">
	
			<!-- Sets the size of the button -->
			<Size> 
				<AbsDimension x="75" y="24"/> 
			</Size> 

			<!-- Sets the position of the button -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="240" y="-420"/>
					</Offset>
				</Anchor>
			</Anchors>
		
		<!-- Sets what the button does -->
			<Scripts>
				<OnClick>
				EMLFrame_Toggle("UE1")
				UE_setCheckBoxes()
				</OnClick>
			</Scripts>
		
		</Button>

		<!-- Open the Color Picker Button -->
		<Button name="$parent_openColorPicker" inherits="UIPanelButtonTemplate" text="Color Picker" id="19">
	
			<!-- Sets the size of the button -->
			<Size> 
				<AbsDimension x="110" y="20"/> 
			</Size> 

			<!-- Sets the position of the button -->
			<Anchors> 
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="20" y="-335"/>
					</Offset>
				</Anchor>
			</Anchors>
		
		<!-- Sets what the button does -->
			<Scripts>
				<OnClick>
				UE_GUIColorPicker("open")
				</OnClick>
			</Scripts>
		
		</Button>

		<!-- Gets the RGB Color button -->
		<Button name="$parent_getColor" inherits="UIPanelButtonTemplate" text="Get Color" id="50">
		
			<!-- Sets the size of the button -->
			<Size>
				<AbsDimension x="110" y="20"/>
			</Size>
			
			<!-- Sets the position of the button -->
			<Anchors>
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="130" y="-335"/>
					</Offset>
				</Anchor>
			</Anchors>
		
		<!-- Sets what the button does -->
			<Scripts>
				<OnClick>
				UE_GUIColorPicker("getcolor")
				</OnClick>
			</Scripts>
		
		</Button>

		<!-- Gets the WoW RGB Color button -->
		<Button name="$parent_getWoWColor" inherits="UIPanelButtonTemplate" text="Get WoW Color" id="51">
		
			<!-- Sets the size of the button -->
			<Size>
				<AbsDimension x="110" y="20"/>
			</Size>
			
			<!-- Sets the position of the button -->
			<Anchors>
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="240" y="-335"/>
					</Offset>
				</Anchor>
			</Anchors>
		
		<!-- Sets what the button does -->
			<Scripts>
				<OnClick>
				UE_GUIColorPicker("getwowcolor")
				</OnClick>
			</Scripts>
		
		</Button>
		
		<!-- Hide MiniMap Button -->
		<CheckButton name="$parent_HideMMB" inherits="UICheckButtonTemplate" id="18" text="HideMMB">
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>

			<!-- Sets the position of the checkbox -->
			<Anchors>
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="10" y="-425"/>
					</Offset>
				</Anchor>
			</Anchors>
			
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Show Minimap Button (checked is on)");
				</OnLoad>
			</Scripts>
			
		</CheckButton>

		<!-- Show Mail Icons -->
		<CheckButton name="$parent_MailIcons" inherits="UICheckButtonTemplate" id="18" text="MailIcons">
			<!-- Sets the size of the checkbox -->
			<Size>
				<AbsDimension x="20" y="20"/>
			</Size>

			<!-- Sets the position of the checkbox -->
			<Anchors>
				<Anchor point="TOPLEFT">
					<Offset>
						<AbsDimension x="170" y="-90"/>
					</Offset>
				</Anchor>
			</Anchors>
			
			<!-- Sets what the checkbox does -->
			<Scripts>
				<OnLoad>
					getglobal(this:GetName().."Text"):SetText("Show Mail Icons (checked is on)");
				</OnLoad>
			</Scripts>
			
		</CheckButton>
		
		</Frames>
		<!-- Close B -->
		
   </Frame>
   <!-- Close A -->

	<!-- Frame for hiding frames -->
	<Frame name="UE_Timer" hidden="true">
		<Scripts>     
			<OnLoad>
				self.TimeSinceLastUpdate = 0
			</OnLoad>
			<OnUpdate>
				UE_waitTimer(self,elapsed,UE_timerTask);
			</OnUpdate>
		</Scripts>
	</Frame>
	
	<!-- Template for showing the icon that indicates if a mail is returned or deleted when it expires -->
	<Button name="MailExpireTexture" virtual="true" hidden="true">
		<Size>
			<AbsDimension x="16" y="16"/>
		</Size>
		<Layers>
			<Layer level="BORDER">
				<Texture name="$parentIcon" width="12" height="12"/>
			</Layer>
		</Layers>
	</Button>

	<!--
		The template defined above with anchors. This template is used for adding
		expire icons to the original MailFrame
	-->
	<Button name="MailExpireTextureAnchor" virtual="true" hidden="true" inherits="MailExpireTexture">
		<Anchors>
			<Anchor point="TOPRIGHT" relativeTo="$parentExpireTime" relativePoint="BOTTOMRIGHT"/>
		</Anchors>
	</Button>

	<!-- 
		Expire icons for Blizzard's original MailFrame.
	-->
	<Button name="Mail1ExpireTexture" inherits="MailExpireTextureAnchor" parent="MailItem1"/>
	<Button name="Mail2ExpireTexture" inherits="MailExpireTextureAnchor" parent="MailItem2"/>
	<Button name="Mail3ExpireTexture" inherits="MailExpireTextureAnchor" parent="MailItem3"/>
	<Button name="Mail4ExpireTexture" inherits="MailExpireTextureAnchor" parent="MailItem4"/>
	<Button name="Mail5ExpireTexture" inherits="MailExpireTextureAnchor" parent="MailItem5"/>
	<Button name="Mail6ExpireTexture" inherits="MailExpireTextureAnchor" parent="MailItem6"/>
	<Button name="Mail7ExpireTexture" inherits="MailExpireTextureAnchor" parent="MailItem7"/>
</Ui>